Subject: Re: Thomas's Shocking story

From: "Velia Plumb" <[email-masked]>
Date: Sun, 23 Oct 2005 10:03:54 -0500

I am in good health and have always enjoyed sex.
I was losing my erection during intercourse and during oral sex with 
my girlfriend.
It was difficult to pinpoint the problem so I decided to order some 
Vjagrra online.

I ordered my Vjagrra which arrived in several days. I ordered 4x100mg 
pills and on the weekend decided to give it a go without saying 
anything to my girlfriend ;) 35 minutes before we went to bed I took 
half a pill, and WOW! what a difference. 

I had a rock hard erection for over an hour of non stop sex. Even 
after I had climaxed I was ready to go again in twenty minutes, which 
we did. this lasted for over two hours, and I was still hard in the 
shower after. 

It was like being a teenager over again. Amazing!

If you have a problem, try Vjagrra, it is great http://www.hasenid.com